import numpy as np
import mbuild as mb

class CH3_UA(mb.Compound):
    """ """
    def __init__(self):
        super(CH3_UA, self).__init__()
        self.add(mb.Particle(name='_CP'))

        self.add(mb.Port(anchor=self[0]), 'up')
        mb.translate(self['up'], np.array([0, 0.15, 0]))

if __name__ == '__main__':
    ua = CH3_UA()
    ua.visualize()
